window.onload = () => {
    const evtSource = new EventSource("/events");
    evtSource.addEventListener("change", event => {
        console.log(event);

        const newElement = document.createElement("li");
        const eventList = document.getElementById("list");
        newElement.textContent = `change at ${+event.data}`;
        eventList.appendChild(newElement);

        fetch("/data").then(res => res.json().then(res => console.log(res)));
    });

    evtSource.addEventListener("ping", event => {
        console.log(event);

        const newElement = document.createElement("li");
        const eventList = document.getElementById("list");
        newElement.textContent = `ping at ${+event.data}`;
        eventList.appendChild(newElement);
    });
};